Skip to main content
GET
/
insights
/
revenue
/
subscription
/
{id}
Get MRR, ARR, and ACV for a subscription
curl --request GET \
  --url https://api.alguna.io/insights/revenue/subscription/{id} \
  --header 'Alguna-Version: <alguna-version>' \
  --header 'Authorization: Bearer <token>'
{
  "annual_contract_value": "125000.00",
  "annual_recurring_revenue": "120000.00",
  "currency": "USD",
  "monthly_recurring_revenue": "10000.00"
}

Documentation Index

Fetch the complete documentation index at: https://alguna.com/docs/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

API key authentication. Pass your API key as a Bearer token.

Headers

Alguna-Version
enum<string>
required
Available options:
2026-04-01

Path Parameters

id
string
required

Unique identifier for the subscription

Response

Success

annual_contract_value
string
required

Annual contract value (ACV)

Example:

"125000.00"

annual_recurring_revenue
string
required

Annual recurring revenue (ARR)

Example:

"120000.00"

currency
string
required

ISO 4217 currency code

Example:

"USD"

monthly_recurring_revenue
string
required

Monthly recurring revenue (MRR)

Example:

"10000.00"